<?xml version="1.0" encoding="utf-16"?>
<Connector id="pipe_connector" Version="1">
  <!--Define all system types.-->
  <SystemTypes>
    <SystemType id="domestic_cold_water">
      <Name Language="1031" Description="Haushaltskaltwasser, Systemtyp - Für Wassersysteme, die Kaltwasser liefern.">Haushaltskaltwasser</Name>
    </SystemType>
    <SystemType id="domestic_hot_water">
      <Name Language="1031" Description="Haushaltsheißwasser, Systemtyp - Für Wassersysteme, die Heißwasser liefern.">Haushaltsheißwasser</Name>
    </SystemType>
    <SystemType id="sanitary">
      <Name Language="1031" Description="Sanitär, Systemtyp - Für Wassersysteme, die Abwasser befördern.">Sanitär</Name>
    </SystemType>
    <SystemType id="fire_protection_dry">
      <Name Language="1031" Description="Brandschutz - Trocken, Systemtyp - Für Brandschutzsysteme, die vor dem Durchfluss kein Wasser enthalten.">Brandschutz - Trocken</Name>
    </SystemType>
    <SystemType id="fire_protection_other">
      <Name Language="1031" Description="Brandschutz - Andere Systeme - Für Brandschutzsysteme, die nicht in die anderen Kategorien fallen.">Brandschutz - Andere</Name>
    </SystemType>
    <SystemType id="fire_protection_pre-action">
      <Name Language="1031" Description="Brandschutz - Vorsorgesysteme">Brandschutz - Vorsorge</Name>
    </SystemType>
    <SystemType id="fire_protection_wet">
      <Name Language="1031" Description="Brandschutz - Nasssysteme - Für Brandschutzsysteme, die vor dem Durchfluss Wasser enthalten.">Brandschutz - Nass</Name>
    </SystemType>
    <SystemType id="undefined">
      <Name Language="1031" Description="Global, Systemtyp - Für andere als Formstückinhalte. Der hiermit verknüpfte Systemtyp wird übernommen">Nicht definiert</Name>
    </SystemType>
    <SystemType id="other">
      <Name Language="1031" Description="Andere, Systemtyp - Für Systeme mit einem anderen Systemtyp.">Weitere</Name>
    </SystemType>
    <SystemType id="hydronic_return">
      <Name Language="1031" Description="Hydronic-Rücklauf, Systemtyp - Für Wassersysteme, in denen das Wasser in die Systemgeräte fließt.">Hydronic-Rücklauf</Name>
    </SystemType>
    <SystemType id="hydronic_supply">
      <Name Language="1031" Description="Hydronic-Zufuhr, Systemtyp - Für Wassersysteme, in denen das Wasser aus den Systemgeräten abfließt.">Hydronic-Zufuhr</Name>
    </SystemType>
  </SystemTypes>
  
  <!--Define all group names.-->
  <Groups>
    <Group id="constraints">
      <Name Language="1031" Description="Beschränkungen, Parametergruppe">Beschränkungen</Name>
    </Group>
    <Group id="mechanical">
      <Name Language="1031" Description="Mechanik, Parametergruppe">Mechanisch</Name>
    </Group>
    <Group id="dimensions">
      <Name Language="1031" Description="">Bemaßungen</Name>
    </Group>
    <Group id="identity_data">
      <Name Language="1031" Description="">ID-Daten</Name>
    </Group>
  </Groups>
  
  <!--Define all enumerations.-->
  <Enums>
    <Enum id="loss_method_enum">
      <Item id="0">
        <Name Language="1031" Description="">Kein</Name>
      </Item>
      <Item id="1">
        <Name Language="1031" Description="">K-Koeffizient</Name>
      </Item>
      <Item id="2">
        <Name Language="1031" Description="">Spezifischer Verlust</Name>
      </Item>
    </Enum>
    <Enum id="flow_configuration_enum">
      <Item id="0">
        <Name Language="1031" Description="">Berechnet</Name>
      </Item>
      <Item id="1">
        <Name Language="1031" Description="">Voreinstellung</Name>
      </Item>
      <Item id="2">
        <Name Language="1031" Description="">System</Name>
      </Item>
      <Item id="3">
        <Name Language="1031" Description="">Sanitärobjekte</Name>
      </Item>
    </Enum>
    <Enum id="flow_configuration_enum2">
      <Item id="0">
        <Name Language="1031" Description="">Berechnet</Name>
      </Item>
      <Item id="1">
        <Name Language="1031" Description="">Voreinstellung</Name>
      </Item>
      <Item id="2">
        <Name Language="1031" Description="">System</Name>
      </Item>      
    </Enum>
    <Enum id="flow_direction_enum">
      <Item id="0">
        <Name Language="1031" Description="">Ein</Name>
      </Item>
      <Item id="1">
        <Name Language="1031" Description="">Aus</Name>
      </Item>
      <Item id="2">
        <Name Language="1031" Description="">Bidirektional</Name>
      </Item>
    </Enum>
    <Enum id="shape_enum">
      <Item id="0">
        <Name Language="1031" Description="">Rund</Name>
      </Item>
      <Item id="1">
        <Name Language="1031" Description="">Nicht definiert</Name>
      </Item>
    </Enum>
    <Enum id="connection_type_enum">
      <Item id="0">
        <Name Language="1031" Description="">Hartgelötet</Name>
      </Item>
      <Item id="1">
        <Name Language="1031" Description="">Mit Stumpfnaht verschweißt</Name>
      </Item>
      <Item id="2">
        <Name Language="1031" Description="">Kapillar</Name>
      </Item>
      <Item id="3">
        <Name Language="1031" Description="">Kompression</Name>
      </Item>
      <Item id="4">
        <Name Language="1031" Description="">Kupplung</Name>
      </Item>
      <Item id="5">
        <Name Language="1031" Description="">Gepresst</Name>
      </Item>
      <Item id="6">
        <Name Language="1031" Description="">Flansch</Name>
      </Item>
      <Item id="7">
        <Name Language="1031" Description="">Schmelzen</Name>
      </Item>
      <Item id="8">
        <Name Language="1031" Description="">Geklebt</Name>
      </Item>
      <Item id="9">
        <Name Language="1031" Description="">Gerillt</Name>
      </Item>
      <Item id="10">
        <Name Language="1031" Description="">Gleitgelenk</Name>
      </Item>
      <Item id="11">
        <Name Language="1031" Description="">Mit Einschweißende, Gelötet, Mit Gewinde, Nicht definiert</Name>
      </Item>
      <Item id="12">
        <Name Language="1031" Description="">Gelötet</Name>
      </Item>
      <Item id="13">
        <Name Language="1031" Description="">Mit Gewinde</Name>
      </Item>
      <Item id="14">
        <Name Language="1031" Description="">Nicht definiert</Name>
      </Item>
    </Enum>
  </Enums>
  
  <!--Define all parameters.-->
  <Parameters>
    <Parameter id="allow_slope_adjustment" Group="constraints" Type="boolean" Unit="" Default="">
      <Name Language="1031" Description="">Neigungsänderung zulassen</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="loss_method" Group="mechanical" Type="enum" Unit="" Default="0">
      <Name Language="1031" Description="">Verlustmethode</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <UseEnum>loss_method_enum</UseEnum>
      <Dependency>
        <Parameters>
          <Parameter>k_coefficient</Parameter>
          <Parameter>pressure_drop</Parameter>
        </Parameters>
        <Enum>
          <Item id="0"/>
          <Item id="1">
            <Parameter>k_coefficient</Parameter>
          </Item>
          <Item id="2">
            <Parameter>pressure_drop</Parameter>
          </Item>
        </Enum>
      </Dependency>
    </Parameter>
    <Parameter id="k_coefficient" Group="mechanical" Type="double" Unit="" Default="0">
      <Name Language="1031" Description="">K-Koeffizient</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <Range low="0"/>
    </Parameter>
    <Parameter id="pressure_drop" Group="mechanical" Type="double" Unit="Air_Pressure_Drop" Default="0">
      <Name Language="1031" Description="">Druckabfall</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <Range low="0"/>
    </Parameter>
    <Parameter id="flow_configuration" Group="mechanical" Type="enum" Unit="" Default="1">
      <Name Language="1031" Description="">Durchflusskonfiguration</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
      </SystemTypes>
      <UseEnum>flow_configuration_enum</UseEnum>
      <Dependency>
        <Parameters>
          <Parameter>fixture_units</Parameter>
          <Parameter>flow_factor</Parameter>
          <Parameter>flow</Parameter>
        </Parameters>
        <Enum>
          <Item id="0"/>
          <Item id="1">
            <Parameter>flow</Parameter>
          </Item>
          <Item id="2">
            <Parameter>flow_factor</Parameter>
          </Item>
          <Item id="3">
            <Parameter>fixture_units</Parameter>
          </Item>
        </Enum>
      </Dependency>
    </Parameter>
    <Parameter id="flow_configuration2" Group="mechanical" Type="enum" Unit="" Default="1">
      <Name Language="1031" Description="">Durchflusskonfiguration</Name>
      <SystemTypes>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <UseEnum>flow_configuration_enum2</UseEnum>
      <Dependency>
        <Parameters>
          <Parameter>flow_factor</Parameter>
          <Parameter>flow</Parameter>
        </Parameters>
        <Enum>
          <Item id="0"/>
          <Item id="1">
            <Parameter>flow</Parameter>
          </Item>
          <Item id="2">
            <Parameter>flow_factor</Parameter>
          </Item>
        </Enum>
      </Dependency>
    </Parameter>
    <Parameter id="fixture_units" Group="mechanical" Type="double" Unit="" Default="">
      <Name Language="1031" Description="">Sanitärobjekte</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
      </SystemTypes>
      <Range low="0"/>
    </Parameter>
    <Parameter id="flow_factor" Group="mechanical" Type="double" Unit="" Default="">
      <Name Language="1031" Description="">Durchflussfaktor</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <Range low="0" high="1"/>
    </Parameter>
    <Parameter id="flow" Group="mechanical" Type="double" Unit="Water_Flow" Default="">
      <Name Language="1031" Description="">Förderstrom</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <Range low="0"/>
    </Parameter>
    <Parameter id="flow_direction" Group="mechanical" Type="enum" Unit="" Default="2">
      <Name Language="1031" Description="">Flussrichtung</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <UseEnum>flow_direction_enum</UseEnum>
    </Parameter>
    <Parameter id="shape" Group="dimensions" Type="enum" Unit="" Default="0">
      <Name Language="1031" Description="">Form</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>        
      </SystemTypes>
      <UseEnum>shape_enum</UseEnum>
    </Parameter>
    <Parameter id="radius" Group="dimensions" Type="double" Unit="length" Default="">
      <Name Language="1031" Description="">Radius</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <Range low="0+"/>
    </Parameter>
    <Parameter id="description" Group="identity_data" Type="string" Unit="" Default="">
      <Name Language="1031" Description="">Beschreibung</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
    </Parameter>
    <Parameter id="connection_type" Group="mechanical" Type="enum" Unit="" Default="">
      <Name Language="1031" Description="">Verbindungstyp</Name>
      <SystemTypes>
        <SystemType>domestic_cold_water</SystemType>
        <SystemType>domestic_hot_water</SystemType>
        <SystemType>sanitary</SystemType>
        <SystemType>fire_protection_dry</SystemType>
        <SystemType>fire_protection_other</SystemType>
        <SystemType>fire_protection_pre-action</SystemType>
        <SystemType>fire_protection_wet</SystemType>
        <SystemType>undefined</SystemType>
        <SystemType>other</SystemType>
        <SystemType>hydronic_return</SystemType>
        <SystemType>hydronic_supply</SystemType>
      </SystemTypes>
      <UseEnum>connection_type_enum</UseEnum>
    </Parameter>
  </Parameters>
</Connector>
